Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::TooltipsData Class Reference

A GtkTooltipsData C++ wrapper class. More...

`#include <inti/gtk/tooltips.h>`

List of all members.

## Public Member Functions

Accessors

- GtkTooltipsData * gtk_tooltips_data () const
    Get a pointer to the GtkTooltipsData structure.
- Tooltips * tooltips () const
    The Tooltips group that this tooltip belongs to.
- String tip_text () const
    The string containing the tooltip message itself.
- String tip_private () const
    The string that is not shown as the default tooltip.

## Detailed Description

A GtkTooltipsData C++ wrapper class.

TooltipsData stores the data associated with a widget (see Gtk::Tooltips::data_get()).

## Member Function Documentation

String Inti::Gtk::TooltipsData::tip_private | ( |  | ) | const

| The string that is not shown as the default tooltip. This message may be more informative and go towards forming a context-sensitive help system for your application.

The documentation for this class was generated from the following file:

- tooltips.h

Main Page - Footer